// creator  : weidu.exe (version 23100)
// argument : _LARYSS.DLG
// game		 : .
// source	 : ./override/_LARYSS.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_LARYSS~

IF ~Global("MetBrage","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #86771 /* ~Please, I beg of you to go no further! Brage is there, strewn about with the carnage he has wrought. I have tried to reason with him but it is as if he is possessed by another's soul. It was all I could do to flee the swing of his tremendous blade. Please, unless you wish to witness madness in a once-good man, leave him be and pray the spirit leaves him in good time.~ */
  IF ~~ THEN REPLY #86772 /* ~Who is this Brage you speak of?~ */ GOTO 1
  IF ~~ THEN REPLY #86773 /* ~If this Brage be possessed by some foul spirit, then I'm afraid we must kill the man to unman the beast. Let us pass and pity him not for, if asked, he would wish it himself.~ */ GOTO 2
  IF ~Global("X#VicLary","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicLary","GLOBAL",1)~ EXTERN ~_VICONJ~ 107
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #86774 /* ~Before this curse befell him, he was Captain of the Guard in Nashkel. I am his cousin, Laryssa. For all the bonds of love and blood, save him from his present agony if there be a way to do so.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#LARYSS1","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LARYSS1","GLOBAL",1)~ GOTO 4
  IF ~Global("X#LARYSS1","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LARYSS1","GLOBAL",1)~ EXTERN ~_IMOEN2~ 454
  IF ~Global("X#LARYSS1","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LARYSS1","GLOBAL",1)~ GOTO 6
  IF ~Global("X#LARYSS1","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#LARYSS1","GLOBAL",1)~ EXTERN ~_GARRIJ~ 239
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #86775 /* ~He may wish it but I would not! There be a man behind those shattered eyes, and a cousin to my flesh. If you so seek to kill him, then you be as mad as he! Come, draw your blades and rend this flesh that stands before you!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#SharLaryss1","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SharLaryss1","GLOBAL",1)~ EXTERN ~_SHARTJ~ 71
END

IF ~~ THEN BEGIN 3 // from:
  SAY #99777 /* ~Yeah? Well bring it on!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.1
  SAY #103529 /* ~Please! I'd be most grateful for any help you can give him!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: _IMOEN2:454.1
  SAY #103529 /* ~Please! I'd be most grateful for any help you can give him!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.3
  SAY #103527 /* ~I hope so!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~  InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN GOTO 7
  IF ~  InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN EXTERN ~_IMOEN2~ 455
END

IF ~~ THEN BEGIN 7 // from: 6.1 _IMOEN2:455.1
  SAY #103529 /* ~Please! I'd be most grateful for any help you can give him!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: _GARRIJ:239.3
  SAY #103527 /* ~I hope so!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~  InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN GOTO 9
  IF ~  InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN EXTERN ~_IMOEN2~ 456
END

IF ~~ THEN BEGIN 9 // from: 8.1 _IMOEN2:456.1 _GARRIJ:239.1
  SAY #103529 /* ~Please! I'd be most grateful for any help you can give him!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
